=head1 NAME


XXV::MODULES::CHANNELS



=head1 SYNOPSIS

  use XXV::MODULES::CHANNELS;
  my  = XXV::MODULES::CHANNELS->new(
    -config => $Config,
    -dbh    => $DBH,
    -realbin=> $RealBin,
  );


=head1 VERSION

0.45 - 11.09.2005

=head1 DESCRIPTION

Dieses Modul liest neue Kanaldaten ein und speichert sie in der Datenbank.

=head1 CONFIGURATION

=over 4



=item * empty

Kanäle mit leeren PID einfügen

=over 4

=item default value: n

=item type: confirm

=item required: No

=back





=item * file

Pfad der channels.conf auf dem System

=over 4

=item default value: /var/lib/vdr/channels.conf

=item type: file

=item required: Yes

=back





=item * filterCA

Filter Kanalliste, setze alle gesuche CA(Common Access)

=over 4

=item default value: 

=item type: list

=item required: No

=back





=item * interval

Intervall in Sekunden um die Kanäle in die Datenbank zu schreiben.

=over 4

=item default value: 300

=item type: integer

=item required: Yes

=back





=item * stripCH

Bereinigt Kanalnamen, nur Teil 'long' ist sichtbar

=over 4

=item default value: short,long;provider

=item type: string

=item required: No

=back





=back

=head1 COMMANDS

=over 4



=item *  cdelete (cdl)

Löscht eine oder mehrere Kanäle 'pos'



=item *  cedit (ced)

Bearbeitet einen Kanal 'cid'



=item *  clist (cl)

Zeige Kanäle der Datenbank 'cname'



=item *  cnew (cne)

Erzeugt einen neuen Kanal



=item *  cstatus (ct)

Status der Kanaldaten



=item *  cupdate (cu)

Liest Kanäle und schreibt sie in die Datenbank



=back

=head1 SEE ALSO

XXV

=head1 AUTHOR

Copyright (C) 2004, xpix. All rights reserved.

=cut
